<template>
  <div>
    <section class="hero is-primary">
      <div class="hero-body">
        <div class="container">
          <div class="media-content">
            <h1 class="title">
              {{ $t('plants_title') }}
            </h1>
            <div class="subtitle">
              {{ $t('plants_subtitle') }}
            </div>
          </div>
        </div>
      </div>
    </section>
    <content-section>
      <div class="columns is-multiline">
        <div
          v-for="category in list"
          :key="category.id"
          class="column is-one-third-tablet"
        >
          <nuxt-link :to="localePath({ name: 'plant-category', params: { category: category.id } })">
            <article class="message">
              <div class="message-header">
                <span>{{ category.icon }} {{ category.name }}</span>
                <span>⧉</span>
              </div>
              <div
                v-if="category.summary"
                class="message-body"
              >
                <!-- eslint-disable-next-line vue/no-v-html -->
                <div v-html="category.summary" />
              </div>
            </article>
          </nuxt-link>
        </div>
      </div>
    </content-section>
  </div>
</template>

<script setup>
import { useLocalePath } from '#i18n'

const { getPlantCategories } = usePlant()
const localePath = useLocalePath()
const list = await getPlantCategories()
</script>

<style lang="scss" scoped>
main {
  margin: 20px 0;
}
</style>
